org.eclipse.net4j.signal

## Class Indication

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalReactor
    - - org.eclipse.net4j.signal.Indication

- All Implemented Interfaces:
    java.lang.Runnable
  Direct Known Subclasses:
    AcknowledgeCompressedStringsIndication, MonitorCanceledIndication, MonitorProgressIndication

      public abstract class Indication
      extends SignalReactor

  Represents the receiver side of a one-way `signal`, i.e., one with no response.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Indication(SignalProtocol<?> protocol, java.lang.Enum<?> literal)`
    `Indication(SignalProtocol<?> protocol, short signalID)`
    `Indication(SignalProtocol<?> protocol, short id, java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `execute(BufferInputStream in, BufferOutputStream out)`
    `protected abstract void` | `indicating(ExtendedDataInputStream in)`

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Indication

          public Indication(SignalProtocol<?> protocol,
                            short id,
                            java.lang.String name)

      Since:
        2.0

    - #### Indication

          public Indication(SignalProtocol<?> protocol,
                            short signalID)

      Since:
        2.0

    - #### Indication

          public Indication(SignalProtocol<?> protocol,
                            java.lang.Enum<?> literal)

      Since:
        2.0

  - ### Method Detail

    - #### execute

          protected void execute(BufferInputStream in,
                                 BufferOutputStream out)
                          throws java.lang.Exception

      Specified by:
        `execute` in class `Signal`
      Throws:
        `java.lang.Exception`

    - #### indicating

          protected abstract void indicating(ExtendedDataInputStream in)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html